yesod-form-1.3.0: Form handling support for Yesod Web Framework

Safe Haskell | None

Yesod.Form.Input

# Documentation

newtype FormInput m a

Constructors

FormInput |
Fields unFormInput :: HandlerSite m -> [Text] -> Env -> FileEnv -> m (Either DText a)

Instances

Monad m => Functor (FormInput m) |
Monad m => Applicative (FormInput m) |

runInputGet :: MonadHandler m => FormInput m a -> m a

runInputPost :: MonadHandler m => FormInput m a -> m a

ireq :: (Monad m, RenderMessage (HandlerSite m) FormMessage) => Field m a -> Text -> FormInput m a

iopt :: Monad m => Field m a -> Text -> FormInput m (Maybe a)